﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadWindowPivotGrid.aspx.cs" Inherits="RadWindowPivotGrid" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadWindow ID="modalPopup" runat="server" Modal="true" VisibleOnPageLoad="true" Width="1105px" Height="600px">
            <ContentTemplate>
                <telerik:RadPivotGrid ID="RadPivotFullScreenGrid" OnNeedDataSource="RadPivotFullScreenGrid_NeedDataSource"
                    runat="server" AllowPaging="true" Skin="Windows7" Width="1500px"
                    AggregatesPosition="Columns" OnPreRender="RadPivotFullScreenGrid_PreRender">
                    <PagerStyle ChangePageSizeButtonToolTip="Change Page Size" PageSizeControlType="RadComboBox"></PagerStyle>
                    <Fields>
                        <telerik:PivotGridColumnField DataField="OrderDate" GroupInterval="Year" IsHidden="false"
                            UniqueName="DateByYear" Caption="Year" ShowGroupsWhenNoData="true">
                        </telerik:PivotGridColumnField>
                        <telerik:PivotGridColumnField DataField="OrderDate" GroupInterval="Month" ShowGroupsWhenNoData="true"
                            UniqueName="DateByMonth" Caption="Month">
                        </telerik:PivotGridColumnField>
                        <telerik:PivotGridRowField DataField="ShipCountry" Caption="PC Center" UniqueName="PCName">
                        </telerik:PivotGridRowField>
                        <telerik:PivotGridRowField DataField="ShipName" Caption="A/C Manager" UniqueName="ManagerName">
                        </telerik:PivotGridRowField>
                        <%-- <telerik:PivotGridRowField DataField="RepName" Caption="Agent" UniqueName="RepName" CellStyle-BorderStyle="Dashed">
                            </telerik:PivotGridRowField>--%>
                        <telerik:PivotGridAggregateField DataField="Freight" GrandTotalAggregateFormatString=""
                            UniqueName="Units" CellStyle-BorderStyle="Dashed">
                        </telerik:PivotGridAggregateField>
                    </Fields>
                </telerik:RadPivotGrid>
            </ContentTemplate>
        </telerik:RadWindow>
    </form>
</body>
</html>
